%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-robots
Version:	40.0
Release:	%mkrel 2
Summary:	GNOME Robots game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Robots
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala-tools
Obsoletes:	gnobots2
Obsoletes:	gnobots2-extra-data
# For help
Requires:	yelp

%description
The classic game where you have to avoid a hoard of robots who are trying to
kill you. Each step you take brings them closer toward you. Fortunately they
aren't very smart and you also have a helpful teleportation gadget.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Robots.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Robots.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Robots.service
%{_datadir}/metainfo/org.gnome.Robots.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*/*
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 40.0-2.mga9
+ Revision: 1837808
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709443
- new version 40.0

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624854
- new version 3.38.0

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611831
- new version 3.37.90

* Thu Jul 02 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1601452
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591779
- new version 3.37.2

* Thu Mar 26 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560844
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554190
- new version 3.36.0

* Mon Mar 02 2020 tv <tv> 3.35.3-1.mga8
+ Revision: 1552950
- 3.35.3

* Wed Feb 19 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1542378
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1476304
- new version 3.34.1

* Sun Sep 08 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438552
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427833
- BR pkgconfig(gsound)
+ ovitters <ovitters>
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392440
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374071
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.90-1.mga7
+ Revision: 1373025
- new version 3.31.90
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 3.22.3-2.mga7
+ Revision: 1297975
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 tv <tv> 3.22.3-1.mga7
+ Revision: 1208028
- fix filelist
+ ovitters <ovitters>
- new version 3.22.3

* Thu Feb 22 2018 ovitters <ovitters> 3.22.2-2.mga7
+ Revision: 1204067
- rebuild for libgnome-games-support

* Sat Sep 09 2017 ovitters <ovitters> 3.22.2-1.mga7
+ Revision: 1152056
- new version 3.22.2

* Tue Nov 08 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065772
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055320
- new version 3.22.0

* Sat May 07 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1010119
- new version 3.20.2

* Fri Apr 08 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999466
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0.1-1.mga6
+ Revision: 993579
- new version 3.20.0.1

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961905
- new version 3.19.90

* Mon Feb 15 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 960463
- Mageia 6 Mass Rebuild

* Fri Nov 06 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 898241
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882997
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879316
- new version 3.17.92

* Wed Aug 12 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 864090
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838604
- new version 3.17.2

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815342
- require yelp for showing help

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796296
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 750861
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 737811
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719183
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679753
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676966
- new version 3.13.92

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665305
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655167
- new version 3.13.4

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639210
- new version 3.13.3

* Sat Jun 21 2014 ovitters <ovitters> 3.12.3-1.mga5
+ Revision: 638548
- new version 3.12.3

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622337
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614157
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608070
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604568
- new version 3.11.92

* Tue Feb 18 2014 fwang <fwang> 3.11.90-1.mga5
+ Revision: 594118
- update file list
+ ovitters <ovitters>
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 582987
- new version 3.11.3

* Tue Feb 04 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 582472
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550166
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536542
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484535
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480501
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468764
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.1-3.mga4
+ Revision: 440875
- Better 'Obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.1-2.mga4
+ Revision: 440813
- Obsoletes 'gnome-games-extra-data'

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440763
- add 'libxml2-utils' as BR
- imported package gnome-robots

